{{- if .Values.ingress.enabled -}}
{{- \$serviceName := $1 . -}}
{{- \$servicePort := .Values.service.externalPort -}}
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: $1
  labels:
    app: $1
    chart: "{{ .Chart.Name }}-{{ .Chart.Version | replace "+" "_" }}"
    release: "{{ .Release.Name }}"
    heritage: "{{ .Release.Service }}"
  annotations:
    {{- range \$key, \$value := .Values.ingress.annotations }}
      {{ \$key }}: {{ \$value | quote }}
    {{- end }}
spec:
  rules:
    {{- range \$host := .Values.ingress.hosts }}
    - host: {{ \$host }}
      http:
        paths:
          - path: /
            backend:
              serviceName: {{ \$serviceName }}
              servicePort: {{ \$servicePort }}
    {{- end -}}
  {{- if .Values.ingress.tls }}
  tls:
{{ toYaml .Values.ingress.tls | indent 4 }}
  {{- end -}}
{{- end -}}
